Subject: bug#2072: Emergency (alloc): Warning: past 95% of memory limit

From: Pierre Gaston <[email-masked]>
Date: Mon, 26 Jan 2009 18:41:57 GMT

Just after starting emacs (using emacs -Q) the following message appears:
Emergency (alloc): Warning: past 95% of memory limit

In GNU Emacs 22.3.1 (alpha--netbsd, X toolkit)
 of 2009-01-26 on iceland
configured using `configure  '--x-includes=/usr/X11R6/include' '--x-libraries=/usr/X11R6/lib' '--with-gif' '--with-jpeg' '--with-png' '--with-tiff' '--with-x' '--with-xpm' '--with-x-toolkit=athena' '--localstatedir=/var' '--prefix=/usr/pkg' '--host=alpha--netbsd' '--infodir=/usr/pkg/info' '--mandir=/usr/pkg/man' 'host_alias=alpha--netbsd' 'CC=cc' 'CFLAGS=-O2 -mieee -I/usr/pkg/include -I/usr/include -I/usr/X11R6/include' 'LDFLAGS=-L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib -L/usr/X11R6/lib -Wl,-R/usr/X11R6/lib' 'LIBS=' 'CPPFLAGS=-DPNG_NO_ASSEMBLER_CODE -I/usr/pkg/include -I/usr/include -I/usr/X11R6/include''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Info

Minor modes in effect:
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
C-h ? SPC SPC SPC SPC C-w ESC [ 6 ~ C-h i m e m a c 
s RET m b u TAB g s RET ESC O B ESC O B ESC O B ESC 
O B ESC O B ESC O B ESC O B ESC O B SPC ESC O B ESC 
O B ESC O B ESC O B ESC O B ESC O B ESC O B SPC SPC 
SPC SPC SPC SPC SPC SPC SPC SPC ESC x r e p o TAB r 
TAB RET

Recent messages:
Note: file is write protected
View mode: type C-h for help, h for commands, q to quit.
Loading info...
Loading easymenu...done
Loading info...done
Composing main Info directory...done
Making completion list... [2 times]
Loading emacsbug...
Loading regexp-opt...done
Loading emacsbug...done